aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-11-29 13:11:48 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-11-29 13:11:48 +0000
commit021cc5f3194d8941de866f8639a9e32b8b9c4553 (patch)
tree22dc517e0eed3a19443968fc959d061491392b60
parenta0839a01948ede23772dea993f0f4aa797ab448c (diff)
downloadpaludis-021cc5f3194d8941de866f8639a9e32b8b9c4553.tar.gz
paludis-021cc5f3194d8941de866f8639a9e32b8b9c4553.tar.xz
Preparation for 0.10.1
-rw-r--r--NEWS12
-rw-r--r--configure.ac8
2 files changed, 16 insertions, 4 deletions
diff --git a/NEWS b/NEWS
index 75668a3..d6e54e9 100644
--- a/NEWS
+++ b/NEWS
@@ -5,6 +5,18 @@ This file lists the major changes between versions. For a more detailed list
of every change, see the ChangeLog.
0.10.0:
+ * Package origins and install times can now be queried.
+
+ * Packages with version 9999, or with names ending in "-cvs" or "-svn", are
+ now considered to be SCM packages for reinstall purposes.
+
+ * Paludis will now compile with g++-3.4 again.
+
+ * A new --report action, which displays warnings about installed packages
+ that are insecure, masked or no longer available, has been added to the
+ paludis client.
+
+0.10.0:
* Uninstall with dependencies and uninstalling unused packages is now
supported.
diff --git a/configure.ac b/configure.ac
index 0adbffb..ad0cfc1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,7 +7,7 @@ AC_CONFIG_AUX_DIR(config)
VERSION_MAJOR=0
VERSION_MINOR=10
-VERSION_MICRO=0
+VERSION_MICRO=1
VERSION_FULL="$VERSION_MAJOR.$VERSION_MINOR.$VERSION_MICRO"
VERSION="$VERSION_FULL"
VERSION_LIB_CURRENT=`expr 100 '*' $VERSION_MAJOR + $VERSION_MINOR`
@@ -216,13 +216,13 @@ int main(int, char **)
AC_MSG_CHECKING([libwrapiter version])
AC_COMPILE_IFELSE([
#include <libwrapiter/libwrapiter.hh>
-#if LIBWRAPITER_VERSION < 200
-# error libwrapiter 0.2 or later required
+#if LIBWRAPITER_VERSION < 1000
+# error libwrapiter 1.0 or later required
#endif
],
[AC_MSG_RESULT([yes])],
[AC_MSG_RESULT([no])
- AC_MSG_ERROR([libwrapiter version must be at least 0.2])])
+ AC_MSG_ERROR([libwrapiter version must be at least 1.0])])
dnl }}}
dnl {{{ check for various misc functions.